Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.mondrian.script
Class ScriptableMondrianDrillThroughTableModel

    java.lang.Object
      com.tonbeller.wcf.table.AbstractTableModel
          com.tonbeller.jpivot.mondrian.script.ScriptableMondrianDrillThroughTableModel

All Implemented Interfaces:
  com.tonbeller.wcf.table.TableModel

    public class ScriptableMondrianDrillThroughTableModel

extends com.tonbeller.wcf.table.AbstractTableModel

Author:
  Engineering Ingegneria Informatica S.p.A. - Luca Barozzi A wcf table model for drill through data, requires an sql query and connection information to be set.

Constructor Summary
`ScriptableMondrianDrillThroughTableModel()`

Method Summary
`void` | `addScript(ScriptColumn column)`
`java.lang.String` | `getCaption()`
`java.lang.String` | `getCatalogExtension()`
`int` | `getColumnCount()` wcf table component calls this method from it's constructor to get the number of columns
`java.lang.String` | `getColumnTitle(int columnIndex)`
`java.lang.String` | `getDataSourceName()`
`java.lang.String` | `getJdbcDriver()`
`java.lang.String` | `getJdbcPassword()`
`java.lang.String` | `getJdbcUrl()`
`java.lang.String` | `getJdbcUser()`
`int` | `getMaxResults()`
`com.tonbeller.wcf.table.TableRow` | `getRow(int rowIndex)`
`int` | `getRowCount()`
`java.lang.String` | `getScriptRootUrl()`
`java.util.List` | `getScripts()`
`java.lang.String` | `getSql()`
`java.lang.String` | `getTitle()`
`void` | `setCaption(java.lang.String caption)`
`void` | `setCatalogExtension(java.lang.String string)`
`void` | `setDataSourceName(java.lang.String string)`
`void` | `setJdbcDriver(java.lang.String jdbcDriver)`
`void` | `setJdbcPassword(java.lang.String jdbcPassword)`
`void` | `setJdbcUrl(java.lang.String jdbcUrl)`
`void` | `setJdbcUser(java.lang.String jdbcUser)`
`void` | `setMaxResults(int maxResults)`
`void` | `setScriptRootUrl(java.lang.String scriptRootUrl)`
`void` | `setScripts(java.util.List scripts)`
`void` | `setSql(java.lang.String sql)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class com.tonbeller.wcf.table.AbstractTableModel
`addTableModelChangeListener, fireModelChanged, fireModelChanged, removeTableModelChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptableMondrianDrillThroughTableModel

    public ScriptableMondrianDrillThroughTableModel()

Method Detail

### getRowCount

    public int getRowCount()

### getRow

    public com.tonbeller.wcf.table.TableRow getRow(int rowIndex)

### getTitle

    public java.lang.String getTitle()

### getSql

    public java.lang.String getSql()

  Returns:

### setSql

    public void setSql(java.lang.String sql)

  Parameters:
    `sql` -

### setTitle

    public void setTitle(java.lang.String title)

  Parameters:
    `title` -

### getColumnCount

    public int getColumnCount()

  wcf table component calls this method from it's constructor to get the number of columns

### getColumnTitle

    public java.lang.String getColumnTitle(int columnIndex)

### getJdbcDriver

    public java.lang.String getJdbcDriver()

  Returns:

### setJdbcDriver

    public void setJdbcDriver(java.lang.String jdbcDriver)

  Parameters:
    `jdbcDriver` -

### getJdbcPassword

    public java.lang.String getJdbcPassword()

  Returns:

### setJdbcPassword

    public void setJdbcPassword(java.lang.String jdbcPassword)

  Parameters:
    `jdbcPassword` -

### getJdbcUrl

    public java.lang.String getJdbcUrl()

  Returns:

### setJdbcUrl

    public void setJdbcUrl(java.lang.String jdbcUrl)

  Parameters:
    `jdbcUrl` -

### getJdbcUser

    public java.lang.String getJdbcUser()

  Returns:

### setJdbcUser

    public void setJdbcUser(java.lang.String jdbcUser)

  Parameters:
    `jdbcUser` -

### getCaption

    public java.lang.String getCaption()

  Returns:

### setCaption

    public void setCaption(java.lang.String caption)

  Parameters:
    `caption` -

### getDataSourceName

    public java.lang.String getDataSourceName()

  Returns:

### setDataSourceName

    public void setDataSourceName(java.lang.String string)

  Parameters:
    `string` -

### getCatalogExtension

    public java.lang.String getCatalogExtension()

  Returns:

### setCatalogExtension

    public void setCatalogExtension(java.lang.String string)

  Parameters:
    `string` -

### getMaxResults

    public int getMaxResults()

  Returns:

### setMaxResults

    public void setMaxResults(int maxResults)

  Parameters:
    `string` -

### getScripts

    public java.util.List getScripts()

  Returns:

### setScripts

    public void setScripts(java.util.List scripts)

  Parameters:
    `List` -

### addScript

    public void addScript(ScriptColumn column)

### getScriptRootUrl

    public java.lang.String getScriptRootUrl()

  Returns:

### setScriptRootUrl

    public void setScriptRootUrl(java.lang.String scriptRootUrl)

  Parameters:
    `String` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD